Home

Generic JSON-RPC endpoint

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

All XRP Ledger API methods are called through this endpoint using JSON-RPC

Body

application/json

All XRP Ledger API methods are called through this endpoint using JSON-RPC

JSON-RPC request payload.

One of
methodstringaccount_inforequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

strictboolean

If true, only accept a public key or XRP Ledger address

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

queueboolean

If true, and the request is for the current ledger, also returns queue status

signer_listsboolean

If true, and the request is for the current ledger, also returns any signer lists

methodstringaccount_linesrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

peerstring

The account of the counterparty to limit results to

limitinteger

Limit the number of trust lines to retrieve

markerstring

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringaccount_objectsrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

typestringcheckdeposit_preauthescrowofferpayment_channelsigner_liststate

Filter results to a single type of ledger object

deletion_blockers_onlyboolean

If true, limit results to objects that can block account deletion

limitinteger

Limit the number of objects to retrieve

markerstring

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringaccount_offersrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

limitinteger

Limit the number of offers to retrieve

markerstring

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringaccount_txrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

ledger_index_mininteger

Use -1 to start at the earliest validated ledger available

ledger_index_maxinteger

Use -1 to start at the most recent validated ledger available

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

binaryboolean

If true, return transactions as hex strings instead of JSON

forwardboolean

If true, return results in ascending ledger order

limitinteger

Limit the number of transactions to retrieve

markerobject

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringgateway_balancesrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

The account to get gateway balances for

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

hotwalletArray<string>

Array of hot wallet addresses to exclude from the balances

strictboolean

If true, only accept a public key or XRP Ledger address

methodstringledgerrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

fullboolean

If true, return full information on the entire ledger

accountsboolean

If true, return information on accounts in the ledger

transactionsboolean

If true, return information on transactions in the ledger

expandboolean

If true, return full transaction, metadata, etc.

owner_fundsboolean

If true, include owner_funds field in offer objects

binaryboolean

If true, return ledger data as hex strings instead of JSON

queueboolean

If true, include information on the transaction queue

methodstringledger_datarequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

binaryboolean

If true, return ledger objects as hex strings instead of JSON

limitinteger

Limit the number of ledger objects to retrieve

markerstring

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringsubmitrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
tx_blobstring

Hex representation of the signed transaction to submit

fail_hardboolean

If true, and the transaction fails locally, do not retry or relay the transaction

methodstringtransaction_entryrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
tx_hashstring

Hash of the transaction to look up

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexinteger

The ledger index of the ledger to use

methodstringtxrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
transactionstring

Hash of the transaction to look up

binaryboolean

If true, return transaction data as hex strings instead of JSON

methodstringserver_inforequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

methodstringserver_staterequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

methodstringfeerequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

methodstringmanifestrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
public_keystring

Base58-encoded public key of the validator

methodstringrandomrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

methodstringpingrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Response

200OK

HTTP 200 response for jsonRpcCall. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.